Bug 192621 - doesn't work without kernel modules
doesn't work without kernel modules
Product: Fedora
Classification: Fedora
Component: lirc-kmod (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-05-21 18:20 EDT by Chris Petersen
Modified: 2013-01-09 22:48 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-08 05:22:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Petersen 2006-05-21 18:20:21 EDT
Description of problem:

running irw (or any other lirc app) kills the daemon.

How reproducible:


Steps to Reproduce:
1. start lircd
2. run irw
Actual results:

irw just exits, and ps then shows that lircd has died

Expected results:

irw works

Additional info:

I'm pretty sure this is because lirc needs the kernel modules to work, but for
some reason those are missing from extras.
Comment 1 Ville Skyttä 2006-05-21 18:29:02 EDT
The kernel modules are missing because:
- Not all remote controllers need them (including mine)
- I don't really have hardware to test the modules with
- The module packages probably need some udev packager love and possibly
  something else, and at least testing which I can't really do
- ...and due to the above, the module package is practically orphaned ATM.

See lirc-kmod and lirc-kmod-common in CVS, would you be interested in
maintaining them in FE?  They should be in a pretty good shape apart from
possibly lacking udev stuff and testing.  I'm fine with continuing to maintain
the "main" lirc package, only the modules need a maintainer.
Comment 2 Sam Varshavchik 2006-11-18 15:46:10 EST
If lirc kernel modules cannot be provided through Extras, for some reason, then
I'd rather have lirc removed completely.  I've been building my own lirc
packages, with kernel modules, for the last year, mostly to drive the IR
receiver on my PVR-350, for MythTV.

Building the lirc kernel modules is not a big deal, but the collision with
Extras is giving me more grief than I think I should deserve.  The way things
stand right now, the Extras' lirc package is severely function-limited, and I'd
prefer to remove lirc from Extras, to make it easier for other third-party
package repositories to be able to deliver a fully-functioned lirc build without
everyone stepping on each other's toes.
Comment 3 Ville Skyttä 2006-11-18 18:14:18 EST
All it takes to ship the kernel modules in FE is someone to step up and maintain
them, provided they're accepted for inclusion by FESCO.  The current package
without the modules works just fine without any functionality limitations for a
lot of people so pulling it because there is nobody to maintain the modules for
additional remote controllers would not make sense to me at all.
Comment 4 Ville Skyttä 2007-09-08 05:22:11 EDT
LIRC kernel modules are included in F8 devel kernels.

Note You need to log in before you can comment on or make changes to this bug.